load('ansitex/load/page.js');
load('ansitex/load/funcs.js');
load('lz-string.js');

if ((argv.length > 2) || (argv.length < 1)) {
	writeln('ERROR: Need a frame ID and type');
	exit(1);

} else {
	writeln('Showing frame:'+argv[0]);
}

var SESSION_EXT;

switch (argv[1]) {
	case 'TEX':
	case 'tex':
		SESSION_EXT = 'tex';
		load('ansitex/load/session/ansitex.js');
		break;

	case 'VTX':
	case 'vtx':
	default:
		load('ansitex/load/session/viewdata.js');
		SESSION_EXT = 'vtx';
		break;
}

var p = new Page();
var po = new PageObject(argv[0]);

if (p.get(po)) {
	writeln('Page      : '+p.name);
	writeln('- Date    : '+p.date);
	writeln('- Cost    : '+p.cost);
	writeln('- Owner   : '+p.owner);
	writeln('- Key     : '+p.key);
	writeln('- Type    : '+p.type);
	writeln('- CUG     : '+p.cug);
	writeln('- isPublic: '+p.isPublic);
	writeln('- isAccess: '+p.accessible);

} else {
	writeln('Failed to load:'+argv[0]);
}

writeln('----');
for (var x in p.raw)
	writeln(x+':'+JSON.stringify(p.raw[x])+"\r\n");
